HintResult = {
	NO_OBJECTS	= 1,
	RESET		= 2,
	KEEP		= 3,
}
-------------------------------------------------------------------------------

class 'HintLogicBase'

function HintLogicBase:__init(playfield)
	self.playfield = playfield
	self.hint_offset = Vector2f(0, 0)
end
-------------------------------------------------------------------------------

function HintLogicBase:playHintAnimation(target_object)
	if self:getAnimationDisabled() == true then
		return
	end
	
	local hint_animation = createCompositionHint()
	hint_animation:setScrXY(0, 0)
	hint_animation:attachTo(self.playfield:getMainEntity())
	hint_animation:setOrder(self.playfield:getMaxOrder())
	hint_animation:setScrXY(target_object:getScrX() + self.hint_offset.x, target_object:getScrY() + self.hint_offset.y)
	hint_animation:setVisible(true)
	hint_animation:setRespondable(false)
	hint_animation:play()
	self.playfield:getTimer():add(function() hint_animation:destroy() end, hint_animation:getDuration())
end
-------------------------------------------------------------------------------